<?php
    //基本モジュール呼び出し
    include_once("./lib/header.inc");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }

    if (!sizeof($ERROR)) {
        //アバターが存在するか確認
        $return = get_sp($AVAFIT->avatar_is_valid($site_key, $user_code));
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $is_exist = $return["value"];
        }

        //アバターが存在しない場合は新規作成
        if (!$is_exist) {
            if ($sex != "m" && $sex != "f") {
                $sex = "f";
            }
            $return = get_sp($AVAFIT->avatar_create($site_key, $user_code, $sex, ""));
            if (!$return["result"]) {
                $ERROR[] = $return["error_shot"];
            }
        }

        //アバターの呼び出し
        if (!sizeof($ERROR)) {
            $return = get_sp($AVAFIT->avatar_call($site_key, $user_code));
            if (!$return["result"]) {
                $ERROR[] = $return["error_shot"];
            }
            else {
                $avatar = $return["value"];
                $sex = $avatar["SEX"];
            }
        }

        //第2のカテゴリー組があるか調べる
        $return = get_sp(
                        $AVAFIT->category_get($site_key,
                                         2,            // カテゴリーセット区分（ここでは第2組）
                                         "",           // 親カテゴリーINDEX（ここでは設定なしにした）
                                         "sex:c".$sex, // 表示条件：性別が共通またはアバター自身の性別
                                         true)        // サブカテゴリーを含む
                        );
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $category2 = $return["value"];
        }

    }

    if(!sizeof($ERROR)){
        // 処理完了メッセージの取り出し // 20110126 k 「BUYPUTOK」のメッセージを変更
        if($rslt=="BUYOK"){$rsltmsg = "購入しました。";}
        else if($rslt=="BUYPUTOK"){$rsltmsg = "購入＆着替えました。";}
    }

    if(!sizeof($ERROR)){
        // カテゴリSETの選別
        $f_cate_set = ($f_cate_set)?$f_cate_set:1;
        $order_cond = "selldate desc, name asc";
        // 新着アイテム一覧取得(色違いなどの子アイテムは除く)
        // 表示条件で、過去1ヶ月以内に公開されたアイテムに絞っている。
        // アイテム表示数を、config.inc.iniで設定するように変更
        $return = get_sp(
                    $AVAFIT->category_item_get($site_key,
                                            $f_cate_set,          //カテゴリー組
                                            null,                 //カテゴリーINDEX(新着はNULL)
                                            1,                    //表示ページ番号(ここは1で固定)
                                            _WU_TOP_NEWEST_ITEMS, //アイテム表示数
                                            # "selldate:>=".date("Y/m/d",strtotime("-1 month")).", sex:c".$sex,  //表示条件
                                            #"selldate:>=".date("Y/m/d",strtotime("-1 year")).", sex:c".$sex,  //表示条件
                                            "sex:c".$sex,  //表示条件
                                            $order_cond,          //表示順
                                            true)                //サブカテゴリーを含む
                    );
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $item_info = $return["value"];
            $items = $item_info["ITEMS"];
        }
    }

    //ポイントの確認
    if (!sizeof($ERROR)) {
        $fp = fopen(_WU_POINT_GET_URL."?user_code=".$user_code, "r");
        if (!$fp) {
            $ERROR[] = "ユーザーのポイント確認に失敗しました。";
        }
        else {
            while (!feof($fp)) {
                $user_point = fgets($fp, 1024);
            }
            fclose($fp);

            if (!validate_number($user_point)) {
                $ERROR[] = "ユーザーの所持ポイントが正しくありません。";
            }
        }
    }

    //共通ヘッダ
    html_header();

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>