<?php
    //基本モジュール呼び出し
    include_once("./lib/header.inc");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }

    //ポイントの確認
    if (!sizeof($ERROR)) {
        $fp = fopen(_WU_POINT_GET_URL."?user_code=".$user_code, "r");
        if (!$fp) {
            $ERROR[] = "ユーザーのポイント確認に失敗しました。";
        }
        else {
            while (!feof($fp)) {
                $user_point = fgets($fp, 1024);
            }
            fclose($fp);

            if (!validate_number($user_point)) {
                $ERROR[] = "ユーザーの所持ポイントが正しくありません。";
            }
        }
    }

    if (!sizeof($ERROR)) {
        //アバター情報取得（性別取得のため）
        $return = get_sp($AVAFIT->avatar_call($site_key, $user_code));
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $avatar = $return["value"];
            $sex = $avatar["SEX"];
        }

        //下記で使われる検索条件としての性別（「c」は共通、共通と利用者性別のアイテムだけを取得）
        $sex_cond = "sex:c".$sex;
        // URL引数にカテゴリーキーが無い場合は、最新アイテムを取得 20101005
        if(!$f_cate){
            #$sex_cond .= ", selldate:>=".date("Y/m/d",strtotime("-1 month"));
            #$sex_cond .= ", selldate:>=".date("Y/m/d",strtotime("-1 year"));
            $sex_cond .= "";
        }

        //カテゴリー組の選別
        //TOPのおすすめメニューから入った場合は「$f_cate_set」は「2」
        $f_cate_set = ($f_cate_set)?$f_cate_set:1;

        //カテゴリー取得
        $return = get_sp($AVAFIT->category_get($site_key, $f_cate_set, "", $sex_cond, true));
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $category = $return["value"];
            $category_title = null ;

            //見栄えのためにカテゴリー配列にインデント挿入
            for ($i = 0; $i < sizeof($category); $i++) {
                $depth = "";
                for ($j = 1; $j <= $category[$i]["DEPTH"]; $j++) {
                    $depth .= "&nbsp;&nbsp;&nbsp;";
                }
                $exp = $depth."+ ".$category[$i]["NAME"];
                if ($category[$i]["ITEM_COUNT"]) {
                    $exp .= "(".$category[$i]["ITEM_COUNT"].")";
                }
                if($f_cate == $category[$i]["INDEX"]){
                    $category_title .= $category[$i]["NAME"];
                }

                $cate[] = array("KEY" => $category[$i]["INDEX"], "NAME" => $exp);
            }
        }

        if (!$order) {
            $order = "SALE_NEW";
        }

        //表示順
        if ($order == "SALE_OLD") {
            $order_cond = "selldate asc, name desc";
        }
        else if ($order == "PRICE_HIGH") {
            $order_cond = "price desc, registdate desc, name asc";
        }
        else if ($order == "PRICE_LOW") {
            $order_cond = "price asc, registdate asc, name desc";
        }
        else {
            $order_cond = "selldate desc, name asc";
        }

        //アイテム一覧取得(色違いなどの子アイテムは除く)
        $return = get_sp(
                        $AVAFIT->category_item_get($site_key,
                                             $f_cate_set,                        //カテゴリー組
                                             $f_cate,                            //カテゴリーINDEX
                                             ($offset/_WU_ITEM_CNT_LIST_PAGE)+1, //表示ページ番号
                                             _WU_ITEM_CNT_LIST_PAGE,             //アイテム表示数
                                             $sex_cond,                          //表示条件
                                             $order_cond,                        //表示順
                                             true)                              //サーブカテゴリー含む
                        );
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $item_info = $return["value"];
            $items = $item_info["ITEMS"];
        }
    }

    //共通ヘッダ
    html_header();

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>